import { h } from "@stencil/core";
import { ChevronDoubleLeft } from "./chevron-double-left";
import { Close } from "./close";
import { Refresh } from "./refresh";
const help = 'click a button... ';
const DataSource = props => {
    const { actions, state } = props;
    const { count } = state;
    return (h("div", { class: "mb-10px mt-3 flex items-center" }, h("button", { "aria-label": "Refresh", class: "ds1-button data-button bg-clrs-blue", onClick: () => {
            actions.refresh();
        } }, h(Refresh, { label: "Refresh" })), h("button", { "aria-label": "Reset", class: "ds1-button data-button bg-clrs-red", onClick: () => {
            actions.reset();
        } }, h(Close, { label: "Reset" })), h("span", { class: "flex items-center" }, h(ChevronDoubleLeft, { size: 28 }), h("span", { class: "italic" }, help, h("sup", null, count)))));
};
export { DataSource };
export default DataSource;
