import { h } from "@stencil/core";
import { ColorPicker } from "./color-picker";
import { DataSource } from "./data-source";
import { DataValues } from "./data-values";
import { Eswat2Io } from "./eswat2-io";
import { Header } from "./header";
import { actions, state } from "../../utils";
export class ProtoTinker {
    constructor() {
        this.tag = 'proto-tinker';
    }
    componentDidLoad() {
        actions.initApp();
    }
    render() {
        return (h("div", { key: '8ce0faa12c39b5b7ebc87c2f8d00dade936e3ded', id: "app", class: "ds1-main relative" }, h(Header, { key: 'd1a5aba6e4221c2f233f8675a4d5cd81aab4d93d', label: "tinker wc" }), h(Eswat2Io, { key: '919ca01768ea309609ec6be67fede120434d723e' }), h(DataSource, { key: 'e8220f685b6b44e3d7ccd1bf644d3f98219d7310', actions: actions, state: state }), h(ColorPicker, { key: '463901312bdd5ee72715de3e2fc47ad364902f40', actions: actions, state: state }), h("hr", { key: '35ba2812a3b068b21b5252c5f07d0b5dc2f18527', class: "ml-0 mr-0" }), h(DataValues, { key: 'df047e0968a8267a031b87fd733c454911771fe0', state: state })));
    }
    static get is() { return "proto-tinker"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["./proto-tinker.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["proto-tinker.css"]
        };
    }
    static get properties() {
        return {
            "tag": {
                "type": "string",
                "attribute": "tag",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'proto-tinker'"
            }
        };
    }
}
