import { h } from "@stencil/core";
const Close = props => {
    const hex = props.hex || 'currentColor';
    const klass = props.class;
    const label = props.label || 'close';
    const size = props.size || 24;
    return (h("svg", { class: klass, width: size, height: size, viewBox: "0 0 24 24", role: "img", "aria-label": "title" }, h("title", null, label), h("g", { fill: hex }, h("path", { d: "M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z" })), h("path", { d: "M0 0h24v24H0z", fill: "none" })));
};
export { Close };
export default Close;
