/* NOTE: colors from clrs.cc - A nicer color palette for the web...
 */
const navy = '#001f3f';
const blue = '#0074d9';
const aqua = '#7fdbff';
const teal = '#39cccc';
const olive = '#3d9970';
const green = '#2ecc40';
const lime = '#01ff70';
const yellow = '#ffdc00';
const orange = '#ff851b';
const red = '#ff4136';
const maroon = '#85144b';
const fuchsia = '#f012be';
const purple = '#b10dc9';
const black = '#111111';
const gray = '#aaaaaa';
const silver = '#dddddd';
const bada55 = '#bada55';
const slate = '#708090';
const slate4 = '#4e5964';
const white = '#ffffff';
// NOTE:  this is ONLY used internally...
const _namedColors = {
    bada55,
    navy,
    blue,
    aqua,
    teal,
    olive,
    green,
    lime,
    yellow,
    orange,
    red,
    maroon,
    fuchsia,
    purple,
    black,
    gray,
    silver,
};
const _altColors = {
    slate,
    slate4,
    white,
};
const colorFor = (key) => _namedColors[key] || _altColors[key];
const colorKeys = Object.keys(_namedColors);
export { navy, blue, aqua, teal, olive, green, lime, yellow, orange, red, maroon, fuchsia, purple, black, gray, silver, bada55, slate, slate4, white, colorFor, colorKeys, };
export default colorFor;
